Bug 197687 - [MAINTAINER] www/vimb: Split into www/vimb-gtk{2,3} ports, Delete www/vimb, Update to 2.9
Summary: [MAINTAINER] www/vimb: Split into www/vimb-gtk{2,3} ports, Delete www/vimb, U...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-15 19:09 UTC by Michael Danilov
Modified: 2015-03-29 14:43 UTC (History)
2 users (show)

See Also:


Attachments
SVN diff -- no complaints from portlint. (7.59 KB, patch)
2015-02-15 19:09 UTC, Michael Danilov
no flags Details | Diff
www/vimb, MOVED (8.04 KB, patch)
2015-02-16 15:15 UTC, Michael Danilov
koobs: maintainer-approval+
Details | Diff
The output of 'svn st www' (477 bytes, text/plain)
2015-02-16 15:17 UTC, Michael Danilov
no flags Details
poudriere testport www/vimb-gtk2 (38.47 KB, text/plain)
2015-02-16 16:48 UTC, Michael Danilov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2015-02-15 19:09:33 UTC
Created attachment 153011 [details]
SVN diff -- no complaints from portlint.

Can not afford to run poudriere testport on both, but -gtk2 builds, installs and runs.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-16 02:05:56 UTC
Mike, 

Did you svn mv www/vimb to www/vimb-gtk{2,3} ? If not you probably want to, and update the patch

Given the extent of the changes here, I would recommend attaching poudriere logs for both to encourage someone to take this sooner rather than later, and for bonus points to save them time:

- Add a MOVED entry
- Add UPDATING instructions if applicable

For more details on MOVED & UPDATING, see: 

https://www.freebsd.org/doc/en/books/porters-handbook/moved-and-updating-files.html
Comment 2 Michael Danilov 2015-02-16 15:15:45 UTC
Created attachment 153036 [details]
www/vimb, MOVED

Understood. Testport coming later this week, at least for -gtk2.

"svn diff www" doesn't quite grasp the moves and copies -- attaching 'svn status' to show what is done.

Why does 10.2.2. say "New entries are added to the top of the file to keep it in reverse chronological order, with the last entry first.", while the actual MOVED file is in straight chronological order?
Comment 3 Michael Danilov 2015-02-16 15:17:08 UTC
Created attachment 153037 [details]
The output of 'svn st www'
Comment 4 Michael Danilov 2015-02-16 16:48:26 UTC
Created attachment 153041 [details]
poudriere testport www/vimb-gtk2
Comment 5 commit-hook freebsd_committer 2015-03-29 14:35:53 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar 29 14:35:14 UTC 2015
New revision: 382599
URL: https://svnweb.freebsd.org/changeset/ports/382599

Log:
  - Split www/vimb into www/vimb-gtk{2,3}
  - Update to upstream version 2.9
  - Pet portlint, sanity-check

  PR:		197687
  Submitted by:	mike.d.ft402@gmail.com (maintainer)

Changes:
  head/MOVED
  head/www/Makefile
  head/www/vimb/
  head/www/vimb-gtk2/
  head/www/vimb-gtk2/Makefile
  head/www/vimb-gtk2/distinfo
  head/www/vimb-gtk2/files/
  head/www/vimb-gtk2/files/patch-src_config.h
  head/www/vimb-gtk3/
  head/www/vimb-gtk3/Makefile
  head/www/vimb-gtk3/distinfo
  head/www/vimb-gtk3/files/
  head/www/vimb-gtk3/files/patch-src_config.h
Comment 6 Thomas Zander freebsd_committer 2015-03-29 14:43:02 UTC
Committed with some changes:
- GH-* tag rules have changed since the patch was submitted
- www/Makefile needed an update to reflect the removal of old port and introduction of new ports
- Introduced CONFLICTS_INSTALL due to the new ports installing the same files